Volt Gateway APIlegacyAuthenticating with the api
oAuth2 password authentication
POST
We use the industry-standard oAuth2 authentication to secure our API.
Information you'll need
- Your Client ID and Client Secret (from the application you created in Fuzebox)
- Your API username and password (from the merchant credentials section in Fuzebox)
Step-by-step instructions on how to authenticate are available in our integration guides area.
oauthheader
AuthorizationBearer <token>OAuth2 password grant - see the documentation in the oAuth2 Authentication section
body*unknownapplication/x-www-form-urlencodedOK - Successful login attempt, returning an access token
application/json- response
token_type?stringexpires_in?numberaccess_token?stringrefresh_token?stringcurl -X POST 'https://api.sandbox.volt.io/oauth' \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d 'grant_type=string&client_id=5b3fa7ba-57d3-4017-a65b-d57dcd2db643&client_secret=374b44bd-d20e-449c-8088-12bd82599d35&username=user%40example.com&password=string'Example Response
{ "token_type": "string", "expires_in": 0, "access_token": "string", "refresh_token": "string"}Volt Gateway API (legacy)
View OpenAPI Schemas.
Payment details GET
Returns the full details of an existing payment that you've created througn the POST /payments endpoint. Simply supply the ```id``` of the payment we returned when the payment was created. You can retrieve a filterable list of payments through the ```GET /payments``` endpoint.